Bug 1015417 - [Tracker] [Docs] VNIC Profiles
[Tracker] [Docs] VNIC Profiles
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Burden
ecs-bugs
:
Depends On:
Blocks: 1016953 1016954 1016955
  Show dependency treegraph
 
Reported: 2013-10-04 04:01 EDT by Andrew Burden
Modified: 2014-04-06 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1016953 1016954 1016955 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Burden 2013-10-04 04:01:28 EDT
http://www.ovirt.org/Features/Vnic_Profiles

In short: Network Admin can create VNIC profiles for each network. Users are granted permission to use a profile, limiting their bandwith on the network.

Changes:
* GUI - new tab in Details pane for 'Network' resource
      - new window (VM Interface Profile)
      - new 'Profiles' tab in New/Edit Logical Network window
* New permissions - groups and users 
* REST API 
(https://<domain.example.com>/api/networks/<id>/vnicprofiles)
* CLI (show vnicprofile --name <name>

Related to: Network QoS
https://bugzilla.redhat.com/show_bug.cgi?id=976160

"In order to define more natural coupling of the QoS to a VNIC we define a new concept called VNIC Profile. The VNIC profile will be introduced in oVirt 3.3 to all clusters and will wrap few of the properties currently defined directly on the VNIC" (from ovirt wiki: Network QoS)",

and (it appears)

custom properties per vnic
https://bugzilla.redhat.com/show_bug.cgi?id=976570
"Previously you could only set custom properties for VMs, now you can custom properties for virtual NICs. These custom properties are then sent for each operation related to vNICs: hotplug nic, hot unplug nic, update device, VM creation (Via before_device_create, after_device_create), VM destroy (before_device_destroy, after_device_destroy) and migration verbs (The full list is below).

For example, previously if you wanted to do some operation on a VM's vNICs you could pass a custom property to the VM and before_vm_start would have the custom property exposed. However, you had no way to get down to a specific vNIC, you could only target all of them. Now you can add a custom property to a specific vNIC (Via the new vNIC profiles feature) and the custom property would only be sent to vNICs under that profile.
...
Section "B.8. Setting Virtual Machine Custom Properties" needs to be updated with instructions regarding vNIC profiles and vNIC custom properties."
Comment 3 Andrew Burden 2014-01-06 21:17:01 EST
Blockers:
Developer Guide
https://bugzilla.redhat.com/show_bug.cgi?id=1016955
Verified

Admin Guide:
https://bugzilla.redhat.com/show_bug.cgi?id=1016954
ON_QA

Command Line Shell Guide:
https://bugzilla.redhat.com/show_bug.cgi?id=1016953
ON_QA


I guess I'll move this to POST until those blockers are Verified
Comment 4 Andrew Burden 2014-03-11 22:08:39 EDT
Blockers are all verified so I'm moving this tracker to ON_QA.

Developer Guide
https://bugzilla.redhat.com/show_bug.cgi?id=1016955

Admin Guide:
https://bugzilla.redhat.com/show_bug.cgi?id=1016954

Command Line Shell Guide:
https://bugzilla.redhat.com/show_bug.cgi?id=1016953

Note You need to log in before you can comment on or make changes to this bug.